"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Default header handling.
 */
function normalizeRequest(options = {}) {
    return function (req, next) {
        // Remove headers that should not be created by the user.
        req.headers.delete('Host');
        // If we have no accept header set already, default to accepting
        // everything. This is needed because otherwise Firefox defaults to
        // an accept header of `html/xml`.
        if (!req.headers.get('Accept')) {
            req.headers.set('Accept', '*/*');
        }
        // Request a preference to upgrade to HTTPS.
        if (options.upgradeInsecureRequests !== false && req.Url.protocol === 'http:') {
            req.headers.set('Upgrade-Insecure-Requests', '1');
        }
        return next();
    };
}
exports.normalizeRequest = normalizeRequest;
//# sourceMappingURL=common.js.map