import { Request } from 'servie';
import { HttpResponse, RequestOptions as NodeRequestOptions, TransportOptions as NodeTransportOptions } from './node';
import { XhrResponse, RequestOptions as BrowserRequestOptions, TransportOptions as BrowserTransportOptions } from './browser';
export declare type SendFn = (req: Request) => Promise<HttpResponse | XhrResponse>;
export declare type TransportFn = (options?: NodeTransportOptions & BrowserTransportOptions) => SendFn;
export declare type RequestFn = (url: string, options?: NodeRequestOptions & BrowserRequestOptions) => Request;
export declare const request: RequestFn;
export declare const transport: TransportFn;
export declare const send: SendFn;
